Page MenuHomePhabricator

Prompt the user with a drop-down list of available languages when VE-editing a SyntaxHighlight block
Closed, ResolvedPublic8 Story Points

Event Timeline

Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF raised the priority of this task from to Low.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2015, 10:36 PM
Nemo_bis renamed this task from Prompt the user with a drop-down list of available languages when VE-edting a SyntaxHighlight block to Prompt the user with a drop-down list of available languages when VE-editing a SyntaxHighlight block.Jun 25 2015, 10:12 AM
Nemo_bis set Security to None.
Elitre added a subscriber: Elitre.Jun 25 2015, 4:41 PM

Change 220977 had a related patch set uploaded (by Alex Monk):
VE integration: Provide a drop-down list of available languages

https://gerrit.wikimedia.org/r/220977

Krenair claimed this task.Jun 25 2015, 9:30 PM
greg awarded a token.Jun 25 2015, 10:03 PM
greg added a subscriber: greg.
Krinkle moved this task from Backlog to Accepted on the SyntaxHighlight board.Jun 25 2015, 10:20 PM

Change 232875 had a related patch set uploaded (by Alex Monk):
Allow DropdownInputWidget users to pass configuration options to DropdownWidget

https://gerrit.wikimedia.org/r/232875

Change 232875 merged by jenkins-bot:
DropdownInputWidget: Allow users to pass config options to DropdownWidget

https://gerrit.wikimedia.org/r/232875

Change 220977 merged by jenkins-bot:
VE integration: Provide a combobox for language input

https://gerrit.wikimedia.org/r/220977

With the merged patch, the editor freezes for several seconds when opening the inspector, and it looks all messed up when it does finally open. If I'm not the only person who sees the problem, we mustn't deploy this in the current state.

Looks fine to me (on a Mac), and took about 0.5 seconds to open…

I can reproduce this at http://en.wikipedia.beta.wmflabs.org/wiki/Python?veaction=edit using Firefox or Opera, on Windows 7. Firefox even gives me the "unresponsive script" warning.

Hmm, yes, performance is poor when opening the syntaxhighlight editor on an existing block on a page. Inserting a new one block (even when there's already one existing on the page) is very fast. New task?

Change 234596 had a related patch set uploaded (by Alex Monk):
VE integration: Fix regression in Ic84c5afb

https://gerrit.wikimedia.org/r/234596

Change 234596 merged by jenkins-bot:
VE integration: Fix regression in Ic84c5afb

https://gerrit.wikimedia.org/r/234596

This fixes the performance, but the dropdown still looks completely messed up.

Am I the only person seeing this? If not, why am I the only one caring?

Looks fine to me:

Krenair closed this task as Resolved.Sep 2 2015, 9:45 PM

If there are still issues, please create follow-up tasks. This is now done on master.